# class Tk::Tcllib::Plotchart::RibbonChart3D

### Constants

TkCommandNames

### Public Class Methods

new(*args) click to toggle source
Calls superclass method TkWindow.new

    # File lib/tkextlib/tcllib/plotchart.rb, line 832
    def initialize(*args) # args := ([parent,] names, yaxis, zaxis [, keys])
                          # names := Array of the series
                          # yaxis := Array of [minimum, maximum, stepsize]
                          # zaxis := Array of [minimum, maximum, stepsize]
      if args[0].kind_of?(Array)
        @names = args.shift
        @yaxis = args.shift
        @zaxis = args.shift

        super(*args) # create canvas widget
      else
        parent = args.shift

        @names = args.shift
        @yaxis = args.shift
        @zaxis = args.shift

        if parent.kind_of?(Tk::Canvas)
          @path = parent.path
        else
          super(parent, *args) # create canvas widget
        end
      end

      @chart = _create_chart
    end

### Public Instance Methods

area(*args) click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 875
    def area(*args) # xypairs, color
      color = args.pop # last argument is a color
      xypairs = TkComm.slice_ary(args.flatten, 2) # regenerate xypairs
      tk_call_without_enc(@chart, 'area', xypairs, color)
      self
    end

line(*args) click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 868
    def line(*args) # xypairs, color
      color = args.pop # last argument is a color
      xypairs = TkComm.slice_ary(args.flatten, 2) # regenerate xypairs
      tk_call_without_enc(@chart, 'line', xypairs, color)
      self
    end

zconfig(key, value=None) click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 882
    def zconfig(key, value=None)
      if key.kind_of?(Hash)
        tk_call_without_enc(@chart, 'zconfig', *hash_kv(key, true))
      else
        tk_call(@chart, 'zconfig',"-#{key}", value)
      end
      self
    end

### Private Instance Methods

_create_chart() click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 859
    def _create_chart
      p self.class::TkCommandNames[1] if $DEBUG
      tk_call_without_enc(self.class::TkCommandNames[1], @path,
                          array2tk_list(@names),
                          array2tk_list(@yaxis),
                          array2tk_list(@zaxis))
    end